Building python with sqlite3

Justin Li justinli79 at gmail.com
Thu Feb 19 03:29:02 CET 2009


On Feb 18, 5:13 pm, Christian Heimes <li... at cheimes.de> wrote:
> Justin Li schrieb:
>
> > I'm building and installing Ptyhon 2.6.1 on Linux. After configure,
> > make, make install, to import sqlite3 leads to ImportError. It looks
> > like I have to build Python with sqlite. I have sqlite3 installed on
> > my system. How should I build Python with it? I did not find any
> > options relating with sqlite3 of configure and Makefile.
>
> Do you have the development files installed as well? Run "make" again
> and look at the list of missing modules.
>
> Christian

Thanks for your reply, Christian.

And yes, I have. I looked into this. I'm working on a 64bit machine.
And the sqlite3 is 64bit as well. Should I install a 32bit sqlite3? I
think when I building python, the configure program should detect if
my system 32bit or 64bit one and look for proper sqlite3 version.

Is that the problem?

Thanks again,
Justin



More information about the Python-list mailing list